/* 画像サイズ調整 */
function size_adjust(myImg, thumbW){
	if (myImg.prop("complete") && myImg.prop("naturalWidth")){
		/* サイズ調整 */
		var heightOrg = myImg.height();
		if (thumbW > 0 && thumbW > myImg.width()){
			var NewHeight = Math.ceil(myImg.height()*thumbW/myImg.width());
			myImg.css("height", NewHeight+"px");
			myImg.css("width", thumbW+"px");
		}
		/* 位置調整 */
		if(myImg.height()>=myImg.width()){ //portrait
			var myOffsetHeight=(myImg.height()-heightOrg)/2;
			if (myOffsetHeight>1){
				myImg.css("top", "-"+Math.floor(myOffsetHeight)+"px");
			}
		} else if (myImg.height()<myImg.width()){ //landscape
			var myOffsetWdith=(myImg.width()-thumbW)/2;
			myImg.css("left", "-"+Math.floor(myOffsetWdith)+"px");
		}
		myImg.css("visibility", "visible")
			.animate({opacity: 1}, 1000)
			;
	} else {
		setTimeout(function(){
			size_adjust(myImg, thumbW);
		}, 400);
	}
}
